/*
	UART0-Treiber
	Andreas Kasper 0525365
	TU-Wien E535
	Embedded Systems Engineering
*/

#ifndef __UART_H__
#define __UART_H__

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>

// gibt die hoeherwertigen 8 Bit einer 16Bit variable zurueck
#define hi8( x ) ( ( unsigned char ) ( x >> 8 ) )

// gibt die niederwertigen 8 Bit einer 16Bit variable zurueck
#define lo8( x ) ( ( unsigned char ) ( x ) )

#define set_bit(var, bit) ((var) |= (1 << (bit)))
#define clear_bit(var, bit) ((var) &= (unsigned)~(1 << (bit)))

// UART initialisierungs MODI
#define UART_8N1 1
#define UART_8E1 2
#define UART_8O1 3
#define UART_8N2 4
#define UART_8E2 5
#define UART_8O2 6

// uart_send return Werte
#define UART_NOT_READY 0;
#define UART_OK 1;

#endif
